import { select, range } from 'd3';
import { fruitsBowl } from './fruitBowl';

const svg = select('svg');

const makeFruits = type => ({ 
  type,
  id: Math.random(),
});

const g = svg.append('g');
let fruits = range(5).map(() => makeFruits('apple'));
let selectedFruit = null;

const onClick = id => {
	selectedFruit = id;
  render();
}

const render = () => {
	fruitsBowl(g, { 
    fruits, 
    height: +svg.attr('height'),
  	width: +svg.attr('width'),
    onClick,
    selectedFruit
  });
}

render();

//eat an apple
setTimeout(() => { 
  fruits.pop();
  render();
	
}, 2000);


//Replacing an apple with a lemon
setTimeout(() => { 
  fruits[2].type = 'lemon';
  render();
	
}, 3000);


setTimeout(() => { 
  fruits = fruits.filter((d, i) =>  i !== 1 );
  render();
	
}, 4000);
